The No.1 Website for Pro Audio
 All  This Thread  Reviews  Gear Database  Synths for sale     Latest  Trending
Driver modification for roland SP-555
Old 17th February 2015
  #1
Driver modification for roland SP-555

Hi! I'm the happy owner of Roland SP-555. What makes me unhappy is the compatibility issue since they quit supporting windows 8.1 and OS 10.9 and higher. I know Roland wants me to buy some new boxes, but I'm totally in love with SP-555 and still want to use all the features, including midi and audio interface.
So Windows 8.1 issue was easy. This helped me to figure it out. Basically speaking all you need to do is to add a line "windows 8.1 supported" in the driver file. Really was it so hard to do for roland's programmers?
What about Mac? That's more complicated, as far as I'm not a mac developer. I tried to modify some parts of the driver but it's all useless cause I have no idea how to pack those *.pkg files and all that console-related stuff.
I've asked on the mac developers forum for any help, but maybe someone already had solved this. If so or if you have some ideas, please share. I'm sure I'm not the only one who doesn't want to replace SP-555 with some other device just because of drivers!
Thanx in advance
If I know something new or have the solution, I'll drop it here
Old 19th February 2015
  #2
The problem solved. I found the solution here. Instead of modifying the driver I just faked the system version on the macbook by editing systemversion.plist file. You can type there any system version and bypass the installation check, and then change it back. SP555 now works as audio and midi interface in the OS 10.9 with the driver for OS 10.8
Old 21st August 2016
  #3
009
Here for the gear
Quote:
Originally Posted by besairedt View Post
The problem solved. I found the solution here. Instead of modifying the driver I just faked the system version on the macbook by editing systemversion.plist file. You can type there any system version and bypass the installation check, and then change it back. SP555 now works as audio and midi interface in the OS 10.9 with the driver for OS 10.8
Might have worked in 10.9 but doesn't work with 10.11.
Old 7th September 2016
  #4
Any ideas for windows 10?
Old 9th June 2017
  #5
Here for the gear
 

Quote:
Originally Posted by besairedt View Post
Hi! I'm the happy owner of Roland SP-555. What makes me unhappy is the compatibility issue since they quit supporting windows 8.1 and OS 10.9 and higher. I know Roland wants me to buy some new boxes, but I'm totally in love with SP-555 and still want to use all the features, including midi and audio interface.
So Windows 8.1 issue was easy. This helped me to figure it out. Basically speaking all you need to do is to add a line "windows 8.1 supported" in the driver file. Really was it so hard to do for roland's programmers?
What about Mac? That's more complicated, as far as I'm not a mac developer. I tried to modify some parts of the driver but it's all useless cause I have no idea how to pack those *.pkg files and all that console-related stuff.
I've asked on the mac developers forum for any help, but maybe someone already had solved this. If so or if you have some ideas, please share. I'm sure I'm not the only one who doesn't want to replace SP-555 with some other device just because of drivers!
Thanx in advance
If I know something new or have the solution, I'll drop it here
I tried this yesterday but when I started the installation a caution appeared - the file is broken or false. Could u explain step by sted how did you provide the modification and installation ,please ?
Old 28th June 2017
  #6
Here for the gear
I installed successfully SP 555 with drivers for WIN 10 64 bits.
Link is here :

Roland SP-555 drivers for Windows 10 64bits ~ Techies Expedition
Old 9th July 2018
  #7
Here for the gear
 

I installed the driver on mac os 10.13.5 high sierra. everything works and usb audio and as a midi controller. but I had a mac os 10.9 on another hard drive. and I have a hakintosh.
1. Changed the name of the system to .plist as before.
2. Right-click on the installer sp-555. chose "open with" and chose the old installer 6.0 from 10.9 and not the new 6.2 from 10.13.5 and everything was fixed. when I wanted to record a tutorial, this function disappeared. so it's up in the package installer. I hope that will help you. then I did not dig because it all worked and I'm happy.
Old 19th August 2018
  #8
Here for the gear
 

@Mr First: Do you think this is also possible without a hackintosh?
Old 17th March 2019
  #9
Here for the gear
 

Quote:
Originally Posted by Mr.First View Post
I installed the driver on mac os 10.13.5 high sierra. everything works and usb audio and as a midi controller. but I had a mac os 10.9 on another hard drive. and I have a hakintosh.
1. Changed the name of the system to .plist as before.
2. Right-click on the installer sp-555. chose "open with" and chose the old installer 6.0 from 10.9 and not the new 6.2 from 10.13.5 and everything was fixed. when I wanted to record a tutorial, this function disappeared. so it's up in the package installer. I hope that will help you. then I did not dig because it all worked and I'm happy.

I have tried this myself but when I select open with installer 6 it still says it cannot install as the operating system isn't supported
Topic:
Post Reply

Welcome to the Gearslutz Pro Audio Community!

Registration benefits include:
  • The ability to reply to and create new discussions
  • Access to members-only giveaways & competitions
  • Interact with VIP industry experts in our guest Q&As
  • Access to members-only sub forum discussions
  • Access to members-only Chat Room
  • Get INSTANT ACCESS to the world's best private pro audio Classifieds for only USD $20/year
  • Promote your eBay auctions and Reverb.com listings for free
  • Remove this message!
You need an account to post a reply. Create a username and password below and an account will be created and your post entered.


 
 
Slide to join now Processing…
Thread Tools
Search this Thread
Search this Thread:

Advanced Search
Forum Jump
Forum Jump